APIVoid logo

Domain Info API Reference

Get whois-like domain information: registrar, abuse email, owner organization and country, creation date, nameservers and DNSSEC status.

Service details and pricing: Domain Info API

POSThttps://api.apivoid.com/v2/domain-info
2 credits per successful requestPOST · JSON

Request example

Query the endpoint via an HTTPS POST request (replace YOUR_API_KEY_HERE with your API key):

curl
curl -X POST "https://api.apivoid.com/v2/domain-info" \
     -H "Content-Type: application/json" \
     -H "X-API-Key: YOUR_API_KEY_HERE" \
     -d '{"host": "google.com"}'

The same request in PHP:

php
$host = 'google.com';

$apiKey = 'YOUR_API_KEY_HERE';

$curl = curl_init('https://api.apivoid.com/v2/domain-info');
curl_setopt($curl, CURLOPT_HTTPHEADER, ['Content-Type: application/json', 'X-API-Key: ' . $apiKey]);
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt($curl, CURLOPT_POSTFIELDS, json_encode(['host' => $host]));
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($curl);
$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);
curl_close($curl);

if ($httpCode === 200) {
    $responseData = json_decode($response, true);
    print_r($responseData);
} else {
    print_r('An error occurred: '.$response);
}

Request parameters

Required

hoststringRequired

Host to submit, e.g. google.com.

Optional

timeoutintegerDefault: 25

Set a custom timeout in seconds, can be from 5 to 30 seconds.

cache_onlybooleanDefault: false

Get data only from the cache (if present) for a faster response.

Response example

A successful request returns HTTP 200 with a JSON body:

json · 200
{
    "host": "google.com",
    "debug_message": "",
    "domain_age_found": true,
    "domain_registered": "yes",
    "domain_creation_date": "1997-09-15",
    "domain_age_in_days": 9970,
    "domain_age_in_months": 321,
    "domain_age_in_years": 27,
    "registrar": "MarkMonitor Inc.",
    "registrar_url": "markmonitor.com",
    "registrar_abuse_email": "abusecomplaints@markmonitor.com",
    "registrar_abuse_form": "",
    "registrar_twitter": "markmonitor",
    "owner_organization": "Google LLC",
    "owner_country": "US",
    "owner_state_province": "CA",
    "owner_email_hash": "",
    "owner_email_domain": "",
    "owner_free_email": false,
    "owner_private_person": false,
    "whois_data_hidden": false,
    "dnssec": "unsigned",
    "nameservers": [
        {
            "name": "ns1.google.com",
            "ipv4": "216.239.32.10",
            "ipv6": "2001:4860:4802:32::a"
        },
        {
            "name": "ns4.google.com",
            "ipv4": "216.239.38.10",
            "ipv6": "2001:4860:4802:38::a"
        },
        {
            "name": "ns3.google.com",
            "ipv4": "216.239.36.10",
            "ipv6": "2001:4860:4802:36::a"
        },
        {
            "name": "ns2.google.com",
            "ipv4": "216.239.34.10",
            "ipv6": "2001:4860:4802:34::a"
        }
    ],
    "elapsed_ms": 524
}

Response fields

The fields returned in the JSON response:

hoststring

Host submitted for the domain info lookup.

debug_messagestring

Debug or error details about the request, if any. Empty string if none.

domain_age_foundboolean

Returns true if domain age was successfully retrieved.

domain_registeredstring

Returns "yes" if domain is registered, can be yes/no/unknown.

domain_creation_datestring

Domain registration date, format is Y-m-d (empty if unknown).

domain_age_in_daysinteger

Age of the domain in days (0 if unknown).

domain_age_in_monthsinteger

Age of the domain in months (0 if unknown).

domain_age_in_yearsinteger

Age of the domain in years (0 if unknown).

registrarstring

Domain registrar such as NameCheap Inc. or GoDaddy.com, LLC.

registrar_urlstring

Domain registrar url, such as namecheap.com.

registrar_abuse_emailstring

Domain registrar abuse email address.

registrar_abuse_formstring

URL of the registrar abuse form, such as https://supportcenter.godaddy.com/AbuseReport.

registrar_twitterstring

Twitter username of domain registrar, such as GoDaddy.

owner_organizationstring

Domain owner organization, such as Google LLC.

owner_countrystring

Domain owner country code, such as US.

owner_state_provincestring

State or province of the domain owner, from WHOIS data. Empty string if not available.

owner_email_hashstring

Domain owner email (hashed for privacy reasons).

owner_email_domainstring

Domain owner email domain, such as gmail.com.

owner_free_emailboolean

Returns true if owner email is a free email.

owner_private_personboolean

Returns true if domain owner is a potential private person.

whois_data_hiddenboolean

Returns true if domain whois data is hidden/masked.

dnssecstring

Check DNSSEC records, can be signed/unsigned/unknown.

nameserversarray

Returns an array with nameservers with their IPv4 and IPv6 addresses.

nameservers[n] → namestring

Name server hostname.

nameservers[n] → ipv4string

IPv4 address of the name server. Empty string if none.

nameservers[n] → ipv6string

IPv6 address of the name server. Empty string if none.

elapsed_msinteger

Time taken to process the request, in milliseconds.